hls-cabal-plugin-2.4.0.0: Cabal integration plugin with Haskell Language Server

Safe Haskell | Safe-Inferred
Language | Haskell2010

Ide.Plugin.Cabal

# Documentation

descriptor :: Recorder (WithPriority Log) -> PluginId -> PluginDescriptor IdeState #

data Log #

Constructors

LogModificationTime NormalizedFilePath FileVersion |
LogShake Log |
LogDocOpened Uri |
LogDocModified Uri |
LogDocSaved Uri |
LogDocClosed Uri |
LogFOI (HashMap NormalizedFilePath FileOfInterestStatus) |
LogCompletionContext Context Position |
LogCompletions Log |

#### Instances

Instances details

Show Log # |
Instance details Defined in Ide.Plugin.Cabal Methods showsPrec :: Int -> Log -> ShowS # show :: Log -> String # showList :: [Log] -> ShowS #
Pretty Log # |
Instance details Defined in Ide.Plugin.Cabal Methods pretty :: Log -> Doc ann # prettyList :: [Log] -> Doc ann #